1. Invoices
Confirma Finance Integrations API
  • Introduction
  • Authentication
  • Environments
  • Data validation
  • Contact information
  • Go Live & Deployment Guide
  • Services
    • Services
    • Invoice Intermediation service
    • Invoice Lifecycle service
    • Debt Collection services
    • Accounting integrations
    • Print and Distribution service
      • Overview
    • Operations
      • Overview
  • Core endpoints
    • Onboarding
      • Introduction to onboarding
      • Create a new client
      • Validate access token
      • Renew access token
    • Invoices
      • Introduction to Invoices
      • Create an invoice
        POST
      • Create an Invoice Action
        POST
      • Retrieve case details
        GET
      • Retrieve distribution Information
        GET
      • Retrieve distribution Information MV v2
        GET
    • Payments
      • Introduction to Payments
      • Retrieve Payments
      • Retrieve settlements
    • Accounting
      • Introduction to accounting
      • Invoice
        • Invoice
      • Ledger
        • Ledger
        • Ledger
      • Payment
        • Payment
        • Payment
    • Operations
      • Retrieve Finvoice Credentials
  • Schemas
    • Finvoice Credentials Response
    • Invoice Header object
    • Invoice Parties
    • Invoice Attachments
    • InvoiceExtensions
    • Client Settings
    • Accounting
    • Address
    • BuyerParty
    • Collection
    • Collection Costs
    • Collection Interest
    • Contact
    • Contact Person
    • Definition Detail
    • Delivery Party
    • Distribution
    • Factoring
    • Interest
    • InvoiceAmounts
    • Invoice Content Data
    • Invoice Recipient Party
    • InvoiceReferences
    • InvoiceRowData
    • InvoiceTerms
    • PaymentData
    • Payment Details
    • PaymentState
    • PaymentTerms
    • Processing
    • SalesInvoiceRequest
    • Seller Party
Need help?
  1. Invoices

Create an invoice

POST
https://staging-integrations.confirmafinance.com/api/v1/partner/invoice
invoice
Creates an invoice for the specified customer. The invoice is validated and processed, then sent to the customer according to your configured delivery method (for example email or postal).

Request

Authorization
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
Header Params

Body Params application/json

Example
{
    "processing": {
        "paymentControlEnabled": true,
        "manualApprovalEnabled": false,
        "accountingInvoiceEnabled": false
    },
    "distribution": {
        "method": "EMAIL",
        "enabled": true
    },
    "invoice": {
        "header": {
            "number": 251601000,
            "type": "INVOICE",
            "date": "2025-12-01",
            "dueDate": "2025-12-15",
            "description": null,
            "additionalInformation": null,
            "currencyCode": "EUR",
            "languageCode": "FI"
        },
        "references": {
            "sales": "SF0001",
            "buyer": "BR0002",
            "agreement": "AN456",
            "payment": "2516000017",
            "orderNumber": "ON798",
            "orderDate": "2025-12-01",
            "electronicPaymentCode": null,
            "creditedInvoiceNumber": null
        },
        "parties": {
            "sellerParty": {
                "businessId": "0646115-8",
                "name": "Test Company Ltd",
                "vatCode": "FI1234567",
                "address": {
                    "street": "Teirinkatu 6",
                    "postalCode": "65100",
                    "postalDistrict": "VAASA",
                    "countryCode": "FI",
                    "countryName": "FINLAND"
                },
                "contact": {
                    "contactPerson": {
                        "name": "Teppo Testaaja",
                        "email": "teppo.testaaja@cash-in.fi"
                    },
                    "email": "it@cash-in.fi",
                    "phone": "+358501234567"
                },
                "paymentDetails": {
                    "iban": "FI12345678912345678",
                    "bic": "DABAFIHH",
                    "bankgiro": null,
                    "postgiro": null
                }
            },
            "buyerParty": {
                "entityType": "BUSINESS",
                "name": "Buyer Company Oy",
                "customerAccountId": "",
                "personalIdentityNumber": null,
                "businessId": "0646115-8",
                "vatCode": "FI9876543",
                "electronicInvoiceAccount": null,
                "electronicRoutingAddress": null,
                "glnNumber": null,
                "languageCode": "FI",
                "address": {
                    "street": "Kauppakatu 1",
                    "street2": null,
                    "street3": null,
                    "postalCode": "00100",
                    "postalDistrict": "HELSINKI",
                    "countryCode": "FI"
                },
                "contact": {
                    "contactPerson": {
                        "name": "Matti Meikäläinen",
                        "email": "matti.meikalainen@buyer.fi"
                    },
                    "email": "joakim.foxell@gmail.com",
                    "phone": "+358401234567"
                }
            },
            "invoiceRecipientParty": {
                "name": null,
                "businessId": null,
                "vatCode": null,
                "electronicInvoiceAccount": null,
                "electronicRoutingAddress": null,
                "glnNumber": null,
                "email": null,
                "languageCode": "FI",
                "address": {
                    "street": null,
                    "street2": null,
                    "street3": null,
                    "postalCode": null,
                    "postalDistrict": null,
                    "countryCode": null
                }
            },
            "deliveryParty": {
                "name": "Delivery Location",
                "address": {
                    "street": "Toimitusosoite 5",
                    "postalCode": "00200",
                    "postalDistrict": "HELSINKI",
                    "countryCode": "FI",
                    "countryName": "FINLAND"
                }
            }
        },
        "terms": {
            "paymentTerms": {
                "code": 0,
                "description": "14 days net"
            },
            "interest": {
                "type": "REFERENCE_RATE",
                "percentage": 8
            }
        },
        "amounts": {
            "netAmount": 100.00,
            "taxAmount": 134.4,
            "discountAmount": 0.00,
            "roundAmount": 0.00,
            "totalAmount": 124.00
        },
        "rows": [
            {
                "rowId": 0,
                "rowType": "BLOCK",
                "text": "ORDER DETAILS",
                "freeTexts": [
                    "Order date: 01.12.2025",
                    "Order number: ON798",
                    "Reference: Customer PO #12345"
                ]
            },
            {
                "rowId": 1,
                "rowType": "PRODUCT",
                "productCode": "P001",
                "description": "Premium Widget",
                "quantity": 2,
                "unitType": "pcs",
                "unitPrice": 100,
                "vatPercentage": 24,
                "netAmount": 200,
                "discountAmount": 0,
                "discountPercentage": 0,
                "roundAmount": 0,
                "taxAmount": 48,
                "totalAmount": 248,
                "vatCalculationType": "NET",
                "currencyCode": "EUR",
                "eanCode": null,
                "serialNumber": null,
                "shippingDate": null
            },
            {
                "rowId": 2,
                "rowType": "PRODUCT",
                "productCode": "S002",
                "description": "Consulting Service",
                "quantity": 5,
                "unitType": "hrs",
                "unitPrice": 80,
                "vatPercentage": 24,
                "netAmount": 400,
                "discountAmount": 40,
                "discountPercentage": 10,
                "roundAmount": 0,
                "taxAmount": 86.4,
                "totalAmount": 446.4,
                "vatCalculationType": "NET",
                "currencyCode": "EUR",
                "eanCode": null,
                "serialNumber": null,
                "definitionDetails": [
                    {
                        "key": "Customer number",
                        "definitionCode": "E1001",
                        "value": "50101"
                    }
                ],
                "freeTexts": [
                    "Order date: 01.12.2025",
                    "Order number: ON798"
                ]
            },
            {
                "rowId": 3,
                "rowType": "TEXT",
                "text": "Thank you for your business! Payment terms: Net 14 days. For questions, contact billing@test-company.fi"
            }
        ],
        "extensions": {
            "field1": "50101"
        },
        "definitionDetails": {},
        "attachments": [
            {
                "type": "invoiceCopy",
                "method": "base64",
                "mimeType": "application/pdf",
                "value": "q32ed245r3f45t45t4w5tf45t4e5t45t...."
            }
        ]
    },
    "paymentState": {
        "paymentStatus": "PARTIALLY_PAID",
        "paymentsAmount": 10.00,
        "outstandingAmount": 114.00
    },
    "payments": [
        {
            "posName": "",
            "paymentDate": "2025-12-10T10:30:00",
            "amount": 10.00,
            "currencyCode": "EUR",
            "method": "ONLINE_PORTAL",
            "description": "Online payment via credit card"
        }
    ],
    "factoring": {
        "paymentType": "FL",
        "issueDate": "2026-01-11"
    },
    "collection": {
        "interest": {
            "accruedAmount": 0.00
        },
        "costs": {
            "creditorCostsAmount": 0.00,
            "collectionFeesAmount": 0.00
        },
        "collectionAgency": "CASH-IN"
    }
}

Responses

🟢200
application/json
Bodyapplication/json

Example
{}
🟠401Unauthorized
Previous
Introduction to Invoices
Next
Create an Invoice Action
Built with